Hierarch Asterios:
To become an Elven Knight, your level must be at least 20, and you must pass the Test of the Elven Knight.
Remember, even if you earn the qualifications we cannot change your profession here. That is because it is our wish for young Elves to go out beyond the forest, to experience Human society and understand the larger world.
Therefore, if you wish to change profession, you must leave the Elven Forest and go to the Human kingdom of Aden. The nearest place for a change of profession is Gludio, which is located in the south of the forest. If you follow the road and cross the neutral zone, you will cross a bridge and come to a town -- the town of Gludio. Find Grand Master Rains of the fighter guild there. He will change your profession when you are ready.
Return